__SET_LIBERROR(3pub)

NAME
__set_liberror - modify error handling for publib

SYNOPSIS
#include <publib.h>

void __set_liberror(enum __liberror);

DESCRIPTION
Unless the documentation for the function specifies otherwise, the default action when a library function notices an error is to abort whatever it was doing and return an error indication. It is possible to change this behaviour with __set_liberror(3). The argument should be a bitwise OR of the following values:

	__abort_on_error
	__exit_on_error
	__complain_on_error

Note that __abort_on_error and __exit_on_error are
mutually exclusive, only use one.

SEE ALSO
publib(3)

AUTHOR
Lars Wirzenius (lars.wirzenius@helsinki.fi)